
From: Hans Reiser <reiser@namesys.com>

Reiser4 implements read without help of generic_file_read, but it uses
page_cache_readahead.  So, this patch makes page_cache_readahead
EXPROT_SYMBOL.  Future filesystems may find this patch useful as well.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 mm/readahead.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN mm/readahead.c~reiser4-export-page_cache_readahead mm/readahead.c
--- 25/mm/readahead.c~reiser4-export-page_cache_readahead	Mon Jun 13 15:01:12 2005
+++ 25-akpm/mm/readahead.c	Mon Jun 13 15:01:12 2005
@@ -526,6 +526,7 @@ page_cache_readahead(struct address_spac
 out:
 	return ra->prev_page + 1;
 }
+EXPORT_SYMBOL(page_cache_readahead);
 
 /*
  * handle_ra_miss() is called when it is known that a page which should have
@@ -542,6 +543,7 @@ void handle_ra_miss(struct address_space
 	ra->flags |= RA_FLAG_MISS;
 	ra->flags &= ~RA_FLAG_INCACHE;
 }
+EXPORT_SYMBOL(handle_ra_miss);
 
 /*
  * Given a desired number of PAGE_CACHE_SIZE readahead pages, return a
_
